## fonts-lohit-deva 2.95.4

=== Makefile ===
all: sfd-dist ttf woff eot ttf-dist web-dist  
version:= 2.95.4

test: test-ttf
	@echo "----------Testing actual-output with expected-output----------"
	fontforge -lang=py -script auto_test.py std-test-out.txt Lohit-Devanagari.ttf

ttf: ttf-bin
	@echo "----------Generating ttf from sfd file----------"
	fontforge -lang=py -script apply_featurefile.py Lohit-Devanagari.sfd Lohit-Devanagari.fea
	./generate.pe *.sfd
	ttfautohint -D deva -f deva -n Lohit-Devanagari.ttf Lohit.ttf
	mv Lohit.ttf Lohit-Devanagari.ttf
	@echo "----------Finished generating ttf file----------"
	@echo " "

woff: woff-bin
	@echo "----------Generating woff from ttf file----------"
	sfntly -w Lohit-Devanagari.ttf Lohit-Devanagari.woff
	@echo "----------Finished generating woff file----------"
	@echo " "

eot: eot-bin
	@echo "----------Generating eot from ttf file----------"
	sfntly -e -x Lohit-Devanagari.ttf Lohit-Devanagari.eot
	@echo "----------Finished generating eot file----------"
	@echo " "

ttf-dist: dist
	mkdir lohit-devanagari-ttf-$(version)
	cp -p COPYRIGHT OFL.txt test-devanagari.txt README  AUTHORS ChangeLog 66-lohit-devanagari.conf 59-lohit-devanagari.conf Lohit-Devanagari.ttf io.pagure.lohit.devanagari.font.metainfo.xml lohit-devanagari-ttf-$(version)
	rm -rf lohit-devanagari-ttf-$(version)/.git
	tar -cf lohit-devanagari-ttf-$(version).tar lohit-devanagari-ttf-$(version)
	gzip lohit-devanagari-ttf-$(version).tar
	rm -rf lohit-devanagari-ttf-$(version)

sfd-dist: dist
	mkdir lohit-devanagari-$(version)
	cp -p COPYRIGHT OFL.txt test-devanagari.txt README  AUTHORS generate*.pe apply_featurefile.py auto_test.py *.fea Makefile ChangeLog 66-lohit-devanagari.conf 59-lohit-devanagari.conf Lohit-Devanagari.sfd std-test-out.txt io.pagure.lohit.devanagari.font.metainfo.xml lohit-devanagari-$(version)
	rm -rf lohit-devanagari-$(version)/.git
	rm -rf lohit-devanagari-$(version)/*.ttf
	tar -cf lohit-devanagari-$(version).tar lohit-devanagari-$(version)
	gzip lohit-devanagari-$(version).tar
	rm -rf lohit-devanagari-$(version)

web-dist: webdist
	mkdir lohit-devanagari-web-$(version)
	cp -p COPYRIGHT OFL.txt test-devanagari.txt README  AUTHORS ChangeLog Lohit-Devanagari.woff  Lohit-Devanagari.eot lohit-devanagari-web-$(version)
	rm -rf lohit-devanagari-web-$(version)/.git
	tar -cf lohit-devanagari-web-$(version).tar lohit-devanagari-web-$(version)
	gzip lohit-devanagari-web-$(version).tar
	rm -rf lohit-devanagari-web-$(version)

clean: cleanall
	rm -f *.ttf *.eot *.woff
	rm -rf *.tar.gz
	rm -rf lohit-devanagari*

.PHONY: ttf-bin woff-bin eot-bin webdist dist cleanall version test-ttf

## fonts-lohit-deva 2.5.1

=== debian/changelog ===
fonts-lohit-deva (2.5.1-1) unstable; urgency=low

   * Split from ttf-devangari-fonts package
   
 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 04 Mar 2012 15:50:08 +0530

=== debian/control ===
Source: fonts-lohit-deva
Section: fonts
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
Build-Depends: debhelper (>= 8.0.0),
               fontforge
Standards-Version: 3.9.3
Homepage: https://fedorahosted.org/lohit
Vcs-Git: git://git.debian.org/debian-in/fonts-lohit-devanagari.git
Vcs-Browser: http://git.debian.org/?p=debian-in/fonts-lohit-devanagari.git;a=summary

Package: fonts-lohit-deva
Architecture: all
Depends: ${misc:Depends}
Replaces: ttf-devanagari-fonts (<= 1:0.5.12)
Breaks: ttf-devanagari-fonts (<= 1:0.5.12)
Description: Lohit TrueType font for Devanagari script
 This package provides Lohit TrueType font for Devanagari script which
 is used for writing Hindi, Kashmiri, Konkani, Marathi, Maithili, Nepali,
 Sanskrit, and Sindhi languages.

## fonts-lohit-deva 2.5.3

=== debian/changelog ===
fonts-lohit-deva (2.5.3-1) unstable; urgency=low

  * Imported Upstream version 2.5.3
  * Fixed the Vcs-* fields with canoncial url (anonscm.d.o).
  * Marked the package as Mutli-Arch foreign to allow installation on
    foreign architecture.
  * Upload to unstable.
  * Added links file to install symbolic link to 66-lohit-devangari.conf
    to /etc/fonts/conf.d folder.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 01 Jun 2013 13:49:41 +0530

fonts-lohit-deva (2.5.2-1) experimental; urgency=low

  * Imported Upstream version 2.5.2

  [Vasudev Kamath]
  * debian/rules:
    + Bumped Standards-Version to 3.9.4. This didn't require any changes
      to the package source
    + Changed the Vcs-Browse URL to anonscm from git.d.o
  * debian/copyright:
    + Added Upstream-Contact field.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Fri, 30 Nov 2012 14:09:05 +0530

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
 Build-Depends: debhelper (>= 8.0.0),
                fontforge
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://fedorahosted.org/lohit
-Vcs-Git: git://git.debian.org/debian-in/fonts-lohit-devanagari.git
-Vcs-Browser: http://git.debian.org/?p=debian-in/fonts-lohit-devanagari.git;a=summary
+Vcs-Git: git://anonscm.debian.org/debian-in/fonts-lohit-devanagari.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-in/fonts-lohit-devanagari.git
 
 Package: fonts-lohit-deva
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Replaces: ttf-devanagari-fonts (<= 1:0.5.12)
 Breaks: ttf-devanagari-fonts (<= 1:0.5.12)

=== debian/watch ===
version=3
https://fedorahosted.org/releases/l/o/lohit/lohit-devanagari-(\d\.\d\.\d\.*\d*)\.tar\.gz

## fonts-lohit-deva 2.95.4

=== debian/changelog ===
fonts-lohit-deva (2.95.4-deepin) stable; urgency=medium

  * ['Rebuild  against by  current gcc 11.2']

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 11 Aug 2022 21:46:05 +0800

=== debian/control ===
Source: fonts-lohit-deva
Section: fonts
Priority: optional
Maintainer: Deepin Developer <deepin-dev@deepin.org>
Uploaders: Deepin Packages Builder <packages@deepin.org>
           Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper-compat (= 12),
               fontforge-nox,
               python3-fontforge,
               ttfautohint
Standards-Version: 4.5.0
Homepage: https://pagure.io/lohit
#Vcs-Git
#Vcs-Browser

Package: fonts-lohit-deva
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: ttf-devanagari-fonts (<= 1:0.5.12)
Breaks: ttf-devanagari-fonts (<= 1:0.5.12)
Description: Lohit TrueType font for Devanagari script
 This package provides Lohit TrueType font for Devanagari script which
 is used for writing Hindi, Kashmiri, Konkani, Marathi, Maithili, Nepali,
 Sanskrit, and Sindhi languages.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- ttf

override_dh_auto_test:
	# disable tests until fixed upstream
